Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.premiumdomain
Class EPPPremiumDomainCheck

    java.lang.Object
      com.verisign.epp.codec.premiumdomain.EPPPremiumDomainCheck

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPPremiumDomainCheck

extends java.lang.Object
implements EPPCodecComponent

EPPCodecComponent that encodes and decodes a Premium Domain check extension.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_NAME` XML tag name of `EPPPremiumDomainCheck` root element

Constructor Summary
`EPPPremiumDomainCheck()` Create an `EPPPremiumDomainCheck` instance
`EPPPremiumDomainCheck(boolean aFlag)` Create a EPPPremiumDomainCheck instance with the flag value
`EPPPremiumDomainCheck(java.lang.Boolean aFlag)` Create a EPPPremiumDomainCheck instance with the flag value

Method Summary
`java.lang.Object` | `clone()` Clone `EPPPremiumDomainCheck`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPPremiumDomainCheck` attributes from the `aElement` DOM Element tree.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPPremiumDomainCheck` instance.
`boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPPremiumDomainCheck` with this instance.
`java.lang.Boolean` | `getFlag()` Returns the flag value
`void` | `setFlag(java.lang.Boolean aFlag)` Sets the flag Code

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELM_NAME

    public static final java.lang.String ELM_NAME

  XML tag name of `EPPPremiumDomainCheck` root element

  See Also:
    Constant Field Values

Constructor Detail

### EPPPremiumDomainCheck

    public EPPPremiumDomainCheck()

  Create an `EPPPremiumDomainCheck` instance

### EPPPremiumDomainCheck

    public EPPPremiumDomainCheck(boolean aFlag)

  Create a EPPPremiumDomainCheck instance with the flag value

  Parameters:
    `aFlag` - `true` to get the `EPPPremiumDomainCheckResp` extension in the response;`false` otherwise

### EPPPremiumDomainCheck

    public EPPPremiumDomainCheck(java.lang.Boolean aFlag)

  Create a EPPPremiumDomainCheck instance with the flag value

  Parameters:
    `aFlag` - `true` to get the `EPPPremiumDomainCheckResp` extension in the response;`false` otherwise

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPPremiumDomainCheck`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPPremiumDomainCheck`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPPremiumDomainCheck` instance.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOM Document that is being built
  Returns:
    Element Root DOM Element representing the `EPPPremiumDomainCheck` instance.
  Throws:
    `EPPEncodeException`

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the `EPPPremiumDomainCheck` attributes from the `aElement` DOM Element tree.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPPremiumDomainCheck` from.
  Throws:
    `EPPDecodeException` - Unable to decode `aElement`

### equals

    public boolean equals(java.lang.Object aObject)

  Compare an instance of `EPPPremiumDomainCheck` with this instance.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    true if equal false otherwise

### getFlag

    public java.lang.Boolean getFlag()

  Returns the flag value

  Returns:
    the flag value

### setFlag

    public void setFlag(java.lang.Boolean aFlag)

  Sets the flag Code

  Parameters:
    `aFlag` - The flag value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.